Bug 699087 - [abrt] control-center-3.0.0.1-3.fc15: g_variant_type_info_check: Process /usr/bin/gnome-control-center was killed by signal 6 (SIGABRT)
[abrt] control-center-3.0.0.1-3.fc15: g_variant_type_info_check: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
abrt_hash:80418b40b0c08a375a2d85e7f7d...
:
: 694157 697179 719370 720113 720734 723507 723799 725163 729605 730850 731349 735532 735985 737053 753871 759909 761554 766223 771220 783132 784260 784262 788257 788743 804994 805502 807663 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 20:34 EDT by Wayne Stidolph
Modified: 2012-08-07 11:43 EDT (History)
39 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (20.05 KB, text/plain)
2011-04-22 20:34 EDT, Wayne Stidolph
no flags Details
File: build_ids (6.41 KB, text/plain)
2011-04-22 20:34 EDT, Wayne Stidolph
no flags Details
File: dsos (29.49 KB, text/plain)
2011-04-22 20:34 EDT, Wayne Stidolph
no flags Details
File: maps (30.46 KB, text/plain)
2011-04-22 20:34 EDT, Wayne Stidolph
no flags Details
File: backtrace (27.48 KB, text/plain)
2011-04-22 20:34 EDT, Wayne Stidolph
no flags Details
File: backtrace (43.11 KB, text/plain)
2012-02-08 08:53 EST, Mikhail
no flags Details
File: backtrace (38.98 KB, text/plain)
2012-02-11 14:30 EST, Roberto Parente
no flags Details
File: backtrace (21.91 KB, text/plain)
2012-04-26 04:55 EDT, takuvata
no flags Details

  None (edit)
Description Wayne Stidolph 2011-04-22 20:34:29 EDT
abrt version: 2.0.1
comment: Adding first printer under F15 Beta. Put in hard-coded address (192.168.2.143) where my HP printer is, while the dialog was showing "Getting devices" spinner. Crash. Attempted repeats don't crash but never find any printer (whether doing thir own detection or using the address I put in).
executable: /usr/bin/gnome-control-center
cmdline: gnome-control-center --overview
component: control-center
architecture: i686
crash_function: g_variant_type_info_check
kernel: 2.6.38.2-9.fc15.i686.PAE
package: control-center-3.0.0.1-3.fc15
reason: Process /usr/bin/gnome-control-center was killed by signal 6 (SIGABRT)
uid: 500
username: wstidolph
rating: 4
time: 1303516792
os_release: Fedora release 15 (Lovelock)

Text file: event_log, 20532 bytes
Text file: build_ids, 6560 bytes
Binary file: coredump, 23007232 bytes
Text file: dsos, 30201 bytes
Text file: maps, 31194 bytes
Text file: backtrace, 28144 bytes

environ
-----
GRAILS_HOME=/home/wstidolph/Tools/springsource/grails-latest
XDG_SESSION_ID=9
HOSTNAME=blacky.localdomain
IMSETTINGS_INTEGRATE_DESKTOP=yes
ANDROID_HOME=/home/wstidolph/Tools/android-sdk-linux_86
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=df816904b9bfb8d56c6405d100000009-1303514401.993977-1543057766
TOOLS=/home/wstidolph/Tools
GNOME_KEYRING_CONTROL=/tmp/keyring-YpsLA5
IMSETTINGS_MODULE=none
USER=wstidolph
USERNAME=wstidolph
MAIL=/var/spool/mail/wstidolph
PATH=/home/wstidolph/Tools/android-sdk-linux_86/tools:/home/wstidolph/Tools/android-sdk-linux_86/platform_tools:/home/wstidolph/Tools/springsource/grails-latest/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/wstidolph/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/wstidolph
JAVA_HOME=/usr/java/jdk1.6.0_24
XMODIFIERS=@im=none
ANDROID_SDK=/home/wstidolph/Tools/android-sdk-linux_86
KDE_IS_PRELINKED=1
GNOME_KEYRING_PID=13143
LANG=en_US.utf8
GDM_LANG=en_US.utf8
KDEDIRS=/usr
GDMSESSION=gnome
HISTCONTROL=ignoredups
HOME=/home/wstidolph
SHLVL=1
LOGNAME=wstidolph
CVS_RSH=ssh
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-isEcAtTwYf,guid=64a14608ae6f19f0e7f7905800006671
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=7
XDG_RUNTIME_DIR=/run/user/wstidolph
DISPLAY=:0
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-wstidolph-f7QcCs/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/13151,unix/unix:/tmp/.ICE-unix/13151
ORBIT_SOCKETDIR=/tmp/orbit-wstidolph
GPG_AGENT_INFO=/tmp/keyring-YpsLA5/gpg:0:1
SSH_AUTH_SOCK=/tmp/keyring-YpsLA5/ssh
GJS_DEBUG_OUTPUT=stderr
'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
DESKTOP_STARTUP_ID=gnome-shell-13288-blacky.localdomain-gnome-control-center-2_TIME28583051
GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-control-center.desktop
GIO_LAUNCHED_DESKTOP_FILE_PID=17744
Comment 1 Wayne Stidolph 2011-04-22 20:34:31 EDT
Created attachment 494356 [details]
File: event_log
Comment 2 Wayne Stidolph 2011-04-22 20:34:33 EDT
Created attachment 494357 [details]
File: build_ids
Comment 3 Wayne Stidolph 2011-04-22 20:34:36 EDT
Created attachment 494358 [details]
File: dsos
Comment 4 Wayne Stidolph 2011-04-22 20:34:38 EDT
Created attachment 494359 [details]
File: maps
Comment 5 Wayne Stidolph 2011-04-22 20:34:40 EDT
Created attachment 494360 [details]
File: backtrace
Comment 6 Jean-François Fortin Tam 2011-05-01 12:48:50 EDT
Package: control-center-3.0.1.1-4.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Tried to add a laserjet 5 network printer by entering its IP address in the control center printing settings.
Comment 7 Alessandro Nazzani 2011-05-27 09:46:39 EDT
Package: control-center-3.0.1.1-5.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
I was trying to find/add a Network Printer (using the Printers applet in System Settings).
Comment 8 leandro 2011-05-28 13:54:02 EDT
Package: control-center-3.0.1.1-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
i switched on the printer on the printer panel and it crashed
Comment 9 Paul Lipps 2011-06-05 04:47:32 EDT
Package: control-center-3.0.1.1-5.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Opened system settings as a favorite.
Comment 10 Bill Gottlieb 2011-06-07 15:38:44 EDT
Package: control-center-3.0.1.1-5.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Trying to add a local USB printer to the system
Comment 11 Toshi 2011-06-25 18:58:14 EDT
Package: control-center-3.0.1.1-5.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I attempted to open Color Profile Management.
Comment 12 Jim Nelson 2011-06-28 15:39:25 EDT
Package: control-center-3.0.1.1-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I was attempting to add a printer.  When I clicked the plus button, it crashed.  I repro'd this twice.
Comment 13 eduardovra 2011-07-01 19:26:18 EDT
Package: control-center-3.0.1.1-5.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
id ont know
Comment 14 Ronald Canete 2011-07-10 10:23:15 EDT
Package: control-center-3.0.1.1-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
adding printer will give you this problem.
Comment 15 motherjoe 2011-07-25 23:40:32 EDT
Package: control-center-3.0.1.1-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Was attempting to install HP printer driver package and it crashed.
Comment 16 Akshay Dua 2011-08-01 16:57:51 EDT
Package: control-center-3.0.1.1-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
hit the '+' icon on the printing dialog after adding one printer.
Comment 17 penthium2 2011-09-30 12:56:01 EDT
Package: control-center-3.0.1.1-6.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
try to add printer
Comment 18 Mikhail 2012-02-08 08:52:54 EST
Delete printer from printer applet of gnome-control-center

backtrace_rating: 4
Package: control-center-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 19 Mikhail 2012-02-08 08:53:15 EST
Created attachment 560266 [details]
File: backtrace
Comment 20 Roberto Parente 2012-02-11 14:30:25 EST
I pressed "Add printer" and the software crash.

backtrace_rating: 4
Package: control-center-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 21 Roberto Parente 2012-02-11 14:30:31 EST
Created attachment 561135 [details]
File: backtrace
Comment 22 abrt-bot 2012-03-30 10:39:42 EDT
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2 instead of component control-center. You might want to inspect the backtraces from the bugs listed below to find out the correct component.

Bugs which were found to be similar to this bug: 
  control-center: bug #694157, bug #697179, bug #719370, bug #720113, bug #720734, bug #723507, bug #723799, bug #725163, bug #729605, bug #730850, bug #731349, bug #735532, bug #735985, bug #737053, bug #753871, bug #761554, bug #766223, bug #766224, bug #771220, bug #784260, bug #784262, bug #788257, bug #788743, bug #804994, bug #805502, bug #807663
  gnome-color-manager: bug #695888
  gnome-shell: bug #759909, bug #770918, bug #772049, bug #783132
  imsettings: bug #740175

This comment is automatically generated.
Comment 23 abrt-bot 2012-03-30 10:39:52 EDT
*** Bug 730850 has been marked as a duplicate of this bug. ***
Comment 24 abrt-bot 2012-03-30 10:40:01 EDT
*** Bug 694157 has been marked as a duplicate of this bug. ***
Comment 25 abrt-bot 2012-03-30 10:40:10 EDT
*** Bug 788743 has been marked as a duplicate of this bug. ***
Comment 26 abrt-bot 2012-03-30 10:40:20 EDT
*** Bug 735985 has been marked as a duplicate of this bug. ***
Comment 27 abrt-bot 2012-03-30 10:40:29 EDT
*** Bug 805502 has been marked as a duplicate of this bug. ***
Comment 28 abrt-bot 2012-03-30 10:40:39 EDT
*** Bug 761554 has been marked as a duplicate of this bug. ***
Comment 29 abrt-bot 2012-03-30 10:40:46 EDT
*** Bug 697179 has been marked as a duplicate of this bug. ***
Comment 30 abrt-bot 2012-03-30 10:40:54 EDT
*** Bug 753871 has been marked as a duplicate of this bug. ***
Comment 31 abrt-bot 2012-03-30 10:41:03 EDT
*** Bug 784262 has been marked as a duplicate of this bug. ***
Comment 32 abrt-bot 2012-03-30 10:41:12 EDT
*** Bug 804994 has been marked as a duplicate of this bug. ***
Comment 33 abrt-bot 2012-03-30 10:41:20 EDT
*** Bug 784260 has been marked as a duplicate of this bug. ***
Comment 34 abrt-bot 2012-03-30 10:41:28 EDT
*** Bug 766223 has been marked as a duplicate of this bug. ***
Comment 35 abrt-bot 2012-03-30 10:41:38 EDT
*** Bug 759909 has been marked as a duplicate of this bug. ***
Comment 36 abrt-bot 2012-03-30 10:41:48 EDT
*** Bug 719370 has been marked as a duplicate of this bug. ***
Comment 37 abrt-bot 2012-03-30 10:42:02 EDT
*** Bug 723799 has been marked as a duplicate of this bug. ***
Comment 38 abrt-bot 2012-03-30 10:42:11 EDT
*** Bug 731349 has been marked as a duplicate of this bug. ***
Comment 39 abrt-bot 2012-03-30 10:42:19 EDT
*** Bug 771220 has been marked as a duplicate of this bug. ***
Comment 40 abrt-bot 2012-03-30 10:42:28 EDT
*** Bug 720734 has been marked as a duplicate of this bug. ***
Comment 41 abrt-bot 2012-03-30 10:42:38 EDT
*** Bug 720113 has been marked as a duplicate of this bug. ***
Comment 42 abrt-bot 2012-03-30 10:42:48 EDT
*** Bug 807663 has been marked as a duplicate of this bug. ***
Comment 43 abrt-bot 2012-03-30 10:42:59 EDT
*** Bug 725163 has been marked as a duplicate of this bug. ***
Comment 44 abrt-bot 2012-03-30 10:43:08 EDT
*** Bug 735532 has been marked as a duplicate of this bug. ***
Comment 45 abrt-bot 2012-03-30 10:43:22 EDT
*** Bug 788257 has been marked as a duplicate of this bug. ***
Comment 46 abrt-bot 2012-03-30 10:43:33 EDT
*** Bug 723507 has been marked as a duplicate of this bug. ***
Comment 47 abrt-bot 2012-03-30 10:43:44 EDT
*** Bug 729605 has been marked as a duplicate of this bug. ***
Comment 48 abrt-bot 2012-03-30 10:43:52 EDT
*** Bug 737053 has been marked as a duplicate of this bug. ***
Comment 49 abrt-bot 2012-03-30 10:44:02 EDT
*** Bug 783132 has been marked as a duplicate of this bug. ***
Comment 50 takuvata 2012-04-26 04:55:36 EDT
Removing printer and trying to add new one afterwads always results in crash

backtrace_rating: 4
Package: control-center-3.2.2-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 51 takuvata 2012-04-26 04:55:46 EDT
Created attachment 580411 [details]
File: backtrace
Comment 52 Fedora End Of Life 2012-08-07 11:43:40 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.